/* Pagination */
.pagination-container nav {
  display: flex;
  justify-content: center;
  padding-top: 2.5rem;
  gap: .5rem;
}

.pagination-container .pagination-item,
.pagination-container .left-icon-container,
.pagination-container .right-icon-container {
  border: 0;
  background: var(--light-light-grey);
  padding: 0;
  font-weight: 500;
  text-decoration: none;
  height: 1.75rem;
  width: 1.75rem;
  font-size: .95rem;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--black);
}

.pagination-container .left-icon-container svg,
.pagination-container .right-icon-container svg {
  height: .75rem;
  width: .75rem;
}

.pagination-container .pagination-item:hover,
.pagination-container .left-icon-container:hover,
.pagination-container .right-icon-container:hover,
.pagination-container .pagination-item:focus,
.pagination-container .left-icon-container:focus,
.pagination-container .right-icon-container:focus {
  background-color: var(--light-grey);
}

.pagination-container div.pagination-item,
.pagination-container div.pagination-item:hover,
.pagination-container div.pagination-item:focus {
  background: none;
}

.pagination-container .left-icon-container:disabled,
.pagination-container .right-icon-container:disabled,
.pagination-container .left-icon-container:disabled:hover,
.pagination-container .right-icon-container:disabled:hover {
  background: var(--light-light-grey);
}

.pagination-container .pagination-item.selected {
  background-color: var(--primary-color);
  color: var(--white);
  border-color: var(--primary-color);
}

.pagination-container .left-icon-container .icon {
  transform: rotate(-90deg);
}

.pagination-container .right-icon-container .icon {
  transform: rotate(90deg);
}

@media(width >= 768px) {
  .pagination-container nav {
    gap: .75rem;
  }

  .pagination-container .pagination-item,
  .pagination-container .left-icon-container,
  .pagination-container .right-icon-container {
    height: 2.5rem;
    width: 2.5rem;
    font-size: 1.15rem;
  }

  .pagination-container .left-icon-container svg,
  .pagination-container .right-icon-container svg {
    height: 1rem;
    width: 1rem;
  }
}